次の方法で共有


Asset Endpoint Profiles - List By Resource Group

リソース グループ別に AssetEndpointProfile リソースを一覧表示する

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DeviceRegistry/assetEndpointProfiles?api-version=2026-04-01

URI パラメーター

名前 / 必須 説明
resourceGroupName
path True

string

minLength: 1
maxLength: 90

リソース グループの名前。 名前は大文字と小文字が区別されます。

subscriptionId
path True

string (uuid)

ターゲット サブスクリプションの ID。 値は UUID である必要があります。

api-version
query True

string

minLength: 1

この操作に使用する API バージョン。

応答

名前 説明
200 OK

AssetEndpointProfileListResult

Azure 操作は正常に完了しました。

Other Status Codes

ErrorResponse

予期しないエラー応答。

セキュリティ

azure_auth

Azure Active Directory OAuth2 フロー。

型: oauth2
フロー: implicit
Authorization URL (承認 URL): https://login.microsoftonline.com/common/oauth2/authorize

スコープ

名前 説明
user_impersonation ユーザー アカウントを偽装する

List_AssetEndpointProfiles_ByResourceGroup

要求のサンプル

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.DeviceRegistry/assetEndpointProfiles?api-version=2026-04-01

応答のサンプル

{
  "value": [
    {
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.DeviceRegistry/assetEndpointProfiles/my-assetendpointprofile",
      "name": "my-assetendpointprofile",
      "type": "Microsoft.DeviceRegistry/assetEndpointProfiles",
      "location": "West Europe",
      "extendedLocation": {
        "type": "CustomLocation",
        "name": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/myResourceGroup/providers/microsoft.extendedlocation/customlocations/location1"
      },
      "tags": {
        "site": "building-1"
      },
      "systemData": {
        "createdBy": "2ta23112-4596-44ff-b773-19405922bfc1",
        "createdByType": "Application",
        "createdAt": "2022-11-16T00:36:43.2516899Z",
        "lastModifiedBy": "2ta23112-4596-44ff-b773-19405922bfc1",
        "lastModifiedByType": "Application",
        "lastModifiedAt": "2022-11-16T01:37:16.0922793Z"
      },
      "properties": {
        "uuid": "0796f7c1-f2c8-44d7-9f5b-9a6f9522a85d",
        "targetAddress": "https://www.example.com/myTargetAddress",
        "endpointProfileType": "myEndpointProfileType",
        "authentication": {
          "method": "Anonymous"
        },
        "provisioningState": "Succeeded"
      }
    },
    {
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.DeviceRegistry/assetEndpointProfiles/my-assetendpointprofile1",
      "name": "my-assetendpointprofile1",
      "type": "Microsoft.DeviceRegistry/assetEndpointProfiles",
      "location": "West Europe",
      "extendedLocation": {
        "type": "CustomLocation",
        "name": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/myResourceGroup/providers/microsoft.extendedlocation/customlocations/location1"
      },
      "tags": {
        "site": "building-2"
      },
      "systemData": {
        "createdBy": "2ta23112-4596-44ff-b773-19405922bfc1",
        "createdByType": "Application",
        "createdAt": "2022-11-16T00:36:43.2516899Z",
        "lastModifiedBy": "2ta23112-4596-44ff-b773-19405922bfc1",
        "lastModifiedByType": "Application",
        "lastModifiedAt": "2022-11-16T01:37:16.0922793Z"
      },
      "properties": {
        "uuid": "7824a74f-21e1-4458-ae06-604d3a241d2c",
        "targetAddress": "https://www.example.com/myTargetAddress1",
        "endpointProfileType": "myEndpointProfileType",
        "authentication": {
          "method": "Certificate",
          "x509Credentials": {
            "certificateSecretName": "certificatRef"
          }
        },
        "provisioningState": "Succeeded"
      }
    },
    {
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.DeviceRegistry/assetEndpointProfiles/my-assetendpointprofile2",
      "name": "my-assetendpointprofile2",
      "type": "Microsoft.DeviceRegistry/assetEndpointProfiles",
      "location": "West Europe",
      "extendedLocation": {
        "type": "CustomLocation",
        "name": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/myResourceGroup/providers/microsoft.extendedlocation/customlocations/location1"
      },
      "tags": {
        "site": "building-2"
      },
      "systemData": {
        "createdBy": "2ta23112-4596-44ff-b773-19405922bfc1",
        "createdByType": "Application",
        "createdAt": "2022-11-16T00:36:43.2516899Z",
        "lastModifiedBy": "2ta23112-4596-44ff-b773-19405922bfc1",
        "lastModifiedByType": "Application",
        "lastModifiedAt": "2022-11-16T01:37:16.0922793Z"
      },
      "properties": {
        "uuid": "1824a74f-21e1-4458-ae07-604d3a241d2e",
        "targetAddress": "https://www.example.com/myTargetAddress2",
        "endpointProfileType": "myEndpointProfileType",
        "authentication": {
          "method": "UsernamePassword",
          "usernamePasswordCredentials": {
            "usernameSecretName": "usernameRef",
            "passwordSecretName": "passwordRef"
          }
        },
        "provisioningState": "Succeeded"
      }
    }
  ]
}

定義

名前 説明
AssetEndpointProfile

資産エンドポイント プロファイルの定義。

AssetEndpointProfileListResult

AssetEndpointProfile リストオペレーションのレスポンス。

AssetEndpointProfileStatus

資産エンドポイント プロファイルの状態プロパティを定義します。

AssetEndpointProfileStatusError

資産エンドポイント プロファイルの状態エラー プロパティを定義します。

Authentication

サーバーに対するクライアント認証メカニズムの定義。

AuthenticationMethod

サーバーでクライアントのユーザーを認証するメソッド。

createdByType

リソースを作成した ID の種類。

ErrorAdditionalInfo

リソース管理エラーの追加情報。

ErrorDetail

エラーの詳細。

ErrorResponse

エラー応答

ExtendedLocation

拡張された場所。

ProvisioningState

リソースのプロビジョニング状態。

systemData

リソースの作成と最後の変更に関連するメタデータ。

UsernamePasswordCredentials

認証モード UsernamePassword の資格情報。

X509Credentials

認証モード証明書の x509 証明書。

AssetEndpointProfile

資産エンドポイント プロファイルの定義。

名前 説明
extendedLocation

ExtendedLocation

拡張された場所。

id

string (arm-id)

リソースの完全修飾リソース ID。 例: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

location

string

リソースが存在する地理的な場所

name

string

リソースの名前

properties.additionalConfiguration

string

接続の種類固有の追加構成 (OPC UA、Modbus、ONVIF など) を含む文字列化された JSON。

properties.authentication

Authentication

サーバーに対するクライアント認証メカニズムを定義します。

properties.discoveredAssetEndpointProfileRef

string

検出された資産エンドポイント プロファイルへの参照。 資産エンドポイント プロファイルが検出フローから作成されている場合にのみ設定されます。 検出された資産エンドポイント プロファイル名を指定する必要があります。

properties.endpointProfileType

string

エンドポイント プロファイルで使用されるコネクタの種類の構成を定義します。

properties.provisioningState

ProvisioningState

リソースのプロビジョニング状態。

properties.status

AssetEndpointProfileStatus

Edge で発生した変更を反映する読み取り専用オブジェクト。 カスタムリソースのKubernetesステータスプロパティに似ています。

properties.targetAddress

string (uri)

南方向のデバイスのネットワーク アドレス/DNS 名を指定するローカルの有効な URI。 targetAddress URI のスキーム部分は、デバイスの種類を指定します。 additionalConfiguration フィールドには、コネクタの種類固有の構成がさらに保持されます。

properties.uuid

string

グローバルに一意で、不変で、再利用可能な ID。

systemData

systemData

createdBy および modifiedBy 情報を含む Azure Resource Manager メタデータ。

tags

object

リソース タグ。

type

string

リソースの型。 例: "Microsoft.Compute/virtualMachines" または "Microsoft.Storage/storageAccounts"

AssetEndpointProfileListResult

AssetEndpointProfile リストオペレーションのレスポンス。

名前 説明
nextLink

string (uri)

アイテムの次のページへのリンク

value

AssetEndpointProfile[]

このページの AssetEndpointProfile 項目

AssetEndpointProfileStatus

資産エンドポイント プロファイルの状態プロパティを定義します。

名前 説明
errors

AssetEndpointProfileStatusError[]

エッジから発生したエラーを転送して保持する配列オブジェクト。

AssetEndpointProfileStatusError

資産エンドポイント プロファイルの状態エラー プロパティを定義します。

名前 説明
code

integer (int32)

エラーを分類するためのエラーコード(例:400、404、500など)。

message

string

エラーの追加コンテキストを提供する人間が読める役立つエラーメッセージ(例:「targetAddress 'foo'は有効なURLではありません」)。

Authentication

サーバーに対するクライアント認証メカニズムの定義。

名前 規定値 説明
method

AuthenticationMethod

Certificate

サーバーでクライアントのユーザーを認証するメソッドを定義します。

usernamePasswordCredentials

UsernamePasswordCredentials

UsernamePassword ユーザー認証モードが選択されている場合のユーザー名とパスワードの参照を定義します。

x509Credentials

X509Credentials

証明書ユーザー認証モードが選択されている場合の証明書参照を定義します。

AuthenticationMethod

サーバーでクライアントのユーザーを認証するメソッド。

説明
Anonymous

ユーザー認証方法は匿名です。

Certificate

ユーザー認証方法は x509 証明書です。

UsernamePassword

ユーザー認証方法は、ユーザー名とパスワードです。

createdByType

リソースを作成した ID の種類。

説明
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

リソース管理エラーの追加情報。

名前 説明
info

object

追加情報。

type

string

追加情報の種類。

ErrorDetail

エラーの詳細。

名前 説明
additionalInfo

ErrorAdditionalInfo[]

エラーの追加情報。

code

string

エラー コード。

details

ErrorDetail[]

エラーの詳細。

message

string

エラー メッセージ。

target

string

エラーターゲット。

ErrorResponse

エラー応答

名前 説明
error

ErrorDetail

エラー オブジェクト。

ExtendedLocation

拡張された場所。

名前 説明
name

string

拡張された場所の名前。

type

string

拡張された場所の種類。

ProvisioningState

リソースのプロビジョニング状態。

説明
Succeeded

リソースが作成されました。

Failed

リソースの作成に失敗しました。

Canceled

リソースの作成が取り消されました。

Accepted

リソースがサーバーによって受け入れられました。

Deleting

リソースが削除中です。

systemData

リソースの作成と最後の変更に関連するメタデータ。

名前 説明
createdAt

string (date-time)

リソース作成のタイムスタンプ (UTC)。

createdBy

string

リソースを作成した ID。

createdByType

createdByType

リソースを作成した ID の種類。

lastModifiedAt

string (date-time)

リソースの最終変更のタイムスタンプ (UTC)

lastModifiedBy

string

リソースを最後に変更した ID。

lastModifiedByType

createdByType

リソースを最後に変更した ID の種類。

UsernamePasswordCredentials

認証モード UsernamePassword の資格情報。

名前 説明
passwordSecretName

string

パスワードを含むシークレットの名前。

usernameSecretName

string

ユーザー名を含むシークレットの名前。

X509Credentials

認証モード証明書の x509 証明書。

名前 説明
certificateSecretName

string

証明書と秘密キーを含むシークレットの名前 (例: .der/.pem または .der/.pfx として格納)。